---
title: Delete
url: https://docs.vultr.com/products/compute/kubernetes/management/destroy
description: Learn how to permanently remove a Kubernetes cluster from your Vultr account
publish_date: 2024-09-23T20:20:44.107297Z
last_updated: 2026-05-26T18:59:34.560210Z
---

# How to Delete a Vultr Kubernetes Engine Cluster

Deleting a Vultr Kubernetes Engine (VKE) cluster involves completely removing your VKE cluster’s infrastructure, including the control plane, worker nodes, and all associated resources. This process is final and should be performed carefully. VKE cluster provides a simple method to ensure the thorough and efficient deletion of your VKE cluster when it’s no longer required.

Follow this guide delete a Vultr Kubernetes Engine cluster from your Vultr account using the Vultr Console, API, CLI, or Terraform.

=== "Vultr Console"

    1. Navigate to **Products** and click **Kubernetes**.
    1. Click your target VKE cluster to open its management page.
    1. Click the delete icon in the top right of the management page.
    1. Check the **Destroy VKE Cluster** box in the confirmation prompt, and click **Destroy VKE Cluster** to permanently delete the target VKE cluster.

=== "Vultr API"

    1. Send a `GET` request to the [**List all Kubernetes Clusters** endpoint](https://www.vultr.com/api/#tag/kubernetes/operation/list-kubernetes-clusters) and note the target VKE cluster's ID.

        ```console
        $ curl "https://api.vultr.com/v2/kubernetes/clusters" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `DELETE` request to the [**Delete Kubernetes Cluster** endpoint](https://www.vultr.com/api/#tag/kubernetes/operation/delete-kubernetes-cluster) to delete the target VKE cluster.

        ```console
        $ curl "https://api.vultr.com/v2/kubernetes/clusters/{cluster-id}" \
            -X DELETE \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `DELETE` request to the [**Delete VKE Cluster and All Related Resources** endpoint](https://www.vultr.com/api/#tag/kubernetes/operation/delete-kubernetes-cluster-vke-id-delete-with-linked-resources) to delete the target VKE cluster along with all linked resources.

        ```console
        $ curl "https://api.vultr.com/v2/kubernetes/clusters/{cluster-id}/delete-with-linked-resources" \
            -X DELETE \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

=== "Vultr CLI"

    1. List the available VKE clusters and note the target VKE cluster's ID.

        ```console
        $ vultr-cli kubernetes list --summarize
        ```

    1. Delete the target VKE cluster.

        ```console
        $ vultr-cli kubernetes delete <cluster-id>
        ```

    1. Delete the target VKE cluster along with all linked resources.

        ```console
        $ vultr-cli kubernetes delete --delete-resources <cluster-id>
        ```

=== "Terraform"

    1. Open your Terraform configuration where the VKE cluster is defined.

    1. Remove the `vultr_kubernetes` resource block, or destroy it by target.

        ```terraform
        resource "vultr_kubernetes" "vke" {
            # ...existing fields (label, region, version, node_pools)
        }

        # To delete, either remove this block from configuration
        # or run: terraform destroy -target vultr_kubernetes.vke
        ```

    1. Apply the configuration and observe the following output:

        ```
        Apply complete! Resources: 0 added, 0 changed, 1 destroyed.
        ```
